PETSc version 3.17.4
Fix/Edit manual page

# PetscFEDestroy

Destroys a PetscFE object

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEDestroy(PetscFE *fem)

Collective on fem

### Input Parameter

| fem | - the PetscFE object to destroy

### See Also

PetscFEView()

### Level

beginner

### Location

src/dm/dt/fe/interface/fe.c

### Examples

src/dm/impls/plex/tutorials/ex8.c.html
src/dm/field/tutorials/ex1.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex69.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex46.c.html
src/ts/tutorials/ex48.c.html

### Implementations

PetscFEDestroy_Basic in src/dm/dt/fe/impls/basic/febasic.c
PetscFEDestroy_Composite in src/dm/dt/fe/impls/composite/fecomposite.c
PetscFEDestroy_OpenCL in src/dm/dt/fe/impls/opencl/feopencl.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages